version: '3'

services:
  steward:
    image: steward:latest
    container_name: "steward"
    environment:
      - "GITLAB_CONFIG_REPO=${GITLAB_CONFIG_REPO}"
      - "GITLAB_CONFIG_PRIVATE_KEY_BASE64=${GITLAB_CONFIG_PRIVATE_KEY_BASE64}"
      - "CONFIG_REPO_FILE=${STEWARD_CONFIG_REPO_FILE}"
      - "AWS_ACCESS_KEY_ID=${AWS_S3_ACCESS_KEY_ID}"
      - "AWS_SECRET_ACCESS_KEY=${AWS_S3_SECRET_ACCESS_KEY}"
      - "AWS_DEFAULT_REGION=${AWS_S3_DEFAULT_REGION}"
      - "AWS_BUCKET=${AWS_S3_BUCKET}"
      - "STEWARD_DATA_DIR=${STEWARD_DATA_DIR}"
      - "VALIDATOR_DATA_DIR=${VALIDATOR_DATA_DIR}"
    volumes:
      - $STEWARD_DATA_DIR:/data/colander
      - $VALIDATOR_DATA_DIR:/data/validator
